<?xml version="1.0"?>
<!-- This Source Code Form is subject to the terms of the Mozilla Public
   - License, v. 2.0. If a copy of the MPL was not distributed with this
   - file, You can obtain one at http://mozilla.org/MPL/2.0/.
   -->

<?xml-stylesheet href="chrome://messenger/skin/messenger.css"?>
<?xml-stylesheet href="chrome://messenger/skin/icons.css" type="text/css"?>
<?xml-stylesheet href="chrome://messenger/skin/mailWindow1.css" type="text/css"?>
<?xml-stylesheet href="chrome://messenger/skin/themeableDialog.css" type="text/css"?>

<!DOCTYPE html SYSTEM "chrome://messenger/locale/virtualFolderListDialog.dtd">

<html id="virtualFolderList" xmlns="http://www.w3.org/1999/xhtml"
      xmlns:xul="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul"
      xmlns:html="http://www.w3.org/1999/xhtml"
      lightweightthemes="true"
      persist="width height screenX screenY"
      width="400" height="370"
      windowtype="mailnews:virtualFolderList"
      scrolling="false">
<head>
  <title>&virtualFolderListTitle.title;</title>
  <script defer="defer" src="chrome://messenger/content/dialogShadowDom.js"></script>
  <script defer="defer" src="chrome://messenger/content/folderPane.js"></script>
  <script defer="defer" src="chrome://messenger/content/virtualFolderListEdit.js"></script>
  <style id="folderColorsStyle"></style>
</head>
<html:body xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul">
  <dialog>
    <stringbundle id="bundle_messenger" src="chrome://messenger/locale/messenger.properties"/>

    <label control="folderPickerTree">&virtualFolderDesc.label;</label>
    <tree id="folderPickerTree"
          flex="1"
          style="height:290px;"
          hidecolumnpicker="true"
          seltype="multiple"
          disableKeyNavigation="true"
          simplelist="true"
          mode="virtual"
          onkeypress="gSelectVirtual.onKeyPress(event);"
          onclick="gSelectVirtual.onClick(event);">
      <treecols>
        <treecol id="folderNameCol" label="&folderName.label;"
                 flex="10" primary="true" crop="center"/>
        <treecol id="selectedCol" label="&folderSearch.label;" flex="1" cycler="true"/>
      </treecols>
      <treechildren/>
    </tree>
  </dialog>
</html:body>
</html>
